Join project
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/members/join \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/members/join"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/members/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"owner": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"type": "<string>",
"status": "<string>",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"isService": true
},
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
"<string>"
],
"description": "<string>",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Member
Join project
Join the project for current user
POST
/
api
/
projects
/
{projectId}
/
members
/
join
Join project
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Unique identifier of the project to join
Response
200 - application/json
The newly created membership record
The newly created membership record
Unique identifier of the member
Timestamp when the member was created
Timestamp when the member was last updated
Whether the member is an owner of the project
User ID of the member
Project ID the member belongs to
User details of the member
Show child attributes
Show child attributes
Groups the member belongs to
Show child attributes
Show child attributes
Was this page helpful?
⌘I